Summary: MPEG audio I/O Library 
Name: spMpeg
Version: 0.8.4
Release: 9
License: LGPL
Distribution: (none)
Vendor: (none)
Group: Development/Libraries
Source: %{name}-%{version}-%{release}.tgz
Source1: lame-3.100.tar.gz
URL: http://www-ie.meijo-u.ac.jp/labs/rj001/spLibs/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: spBase >= 0.8.24, spAudio >= 0.7.16
%define __spec_install_post /usr/lib/rpm/brp-compress || :
%define _binaries_in_noarch_packages_terminate_build 0

%description
spMpeg is MPEG audio I/O library which is a part of spLibs
(http://www-ie.meijo-u.ac.jp/labs/rj001/spLibs/index.html). 

%package android
Summary: spMpeg library for Android development
Group: Development/Libraries
BuildArch: noarch
Requires: spBase-android >= 0.8.24, spAudio-android >= 0.7.16
%description android
This package includes spMpeg library for Android development.

%package iplugin
License: distributable
Summary: MPEG input plugin for spAudio I/O.
Group: System Environment/Libraries
%description iplugin
This is an MPEG input (decode) plugin for spAudio I/O.

%package iplugin-android
License: distributable
Summary: spMpeg input plugin for Android development
Group: System Environment/Libraries
BuildArch: noarch
%description iplugin-android
This package includes spMpeg-iplugin for Android development.

%package oplugin
License: not distributable
Summary: MPEG output plugin for spAudio I/O.
Group: System Environment/Libraries
%description oplugin
This is an MPEG output (encode) plugin for spAudio I/O.

%package oplugin-android
License: not distributable
Summary: spMpeg output plugin for Android development
Group: System Environment/Libraries
BuildArch: noarch
%description oplugin-android
This package includes spMpeg-oplugin for Android development.

%changelog
* Wed May 29 2024  Hideki Banno 
- Version 0.8.4-9

* Fri Apr 21 2023  Hideki Banno
- Version 0.8.4-8

* Mon Mar 27 2023  Hideki Banno
- Version 0.8.4-7

* Tue Nov 20 2018  Hideki Banno
- Version 0.8.4-6

* Sun Nov 20 2016  Hideki Banno 
- Version 0.8.4-5

* Mon May 16 2016  Hideki Banno
- Version 0.8.4-4

* Tue Aug  5 2014  Hideki Banno
- Version 0.8.4-3

* Mon Sep  3 2012  Hideki Banno
- Version 0.8.3-7

* Tue Oct  9 2007  Hideki Banno
- Version 0.8.3-6

* Tue Mar 13 2001  Hideki Banno
- Version 0.8.3

* Thu Dec 14 2000  Hideki Banno
- Version 0.8.2

* Sun Oct  8 2000  Hideki Banno
- Version 0.8.1

* Tue Aug 15 2000  Hideki Banno
- 1st release

%prep
%setup -q
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_prefix}
%setup -q -D -a 1 -T


%build
%define debug_package %{nil}
cd lame-3.100
export CFLAGS='-O2 -msse -msse2'
export LDFLAGS='-Wl,-z,relro -Wl,-z,now'
%configure --enable-static
%{__make}
cd ..

%define bladeenc %(if [ -f %{_sourcedir}/bladeenc-0.94.2-src-stable.tar.gz ]; then echo 1; else echo 0; fi)
%if %{bladeenc}
    tar zxvf %{_sourcedir}/bladeenc-0.94.2-src-stable.tar.gz
%endif

cd spMpeg

%{__make} MPEGTOP=%{buildroot}%{_prefix} TOP=%{_prefix} SPLIBDIRNAME=%{_lib} clean
if [ -d ../bladeenc-0.94.2 ]; then
    %{__ln_s} ../bladeenc-0.94.2/bladeenc
fi
%{__ln_s} ../lame-3.100 lame
%{__ln_s} ../lame-3.100/include/lame.h lame
%{__make} MPEGTOP=../.. TOP=%{_prefix} SPLIBDIRNAME=%{_lib}

cd ..

%install
%{__mkdir_p} %{buildroot}%{_datadir}/sp/spMpeg/android/obj
%{__mkdir_p} %{buildroot}%{_datadir}/sp/spMpeg/input_mpeg/android
%{__mkdir_p} %{buildroot}%{_datadir}/sp/spMpeg/output_lame/android
cd spMpeg
%{__make} MPEGTOP=../.. TOP=%{_prefix} SPLIBDIRNAME=%{_lib} SPDESTROOT=%{buildroot}%{_prefix} install
%{__make} MPEGTOP=../.. TOP=%{_prefix} SPLIBDIRNAME=%{_lib} SPDESTROOT=%{buildroot}%{_prefix} install.hdr
cp -r android/obj/local %{buildroot}%{_datadir}/sp/spMpeg/android/obj/

cd input_mpeg
%{__make} MPEGTOP=%{buildroot}%{_prefix} TOP=%{_prefix} SPLIBDIRNAME=%{_lib} PLUGINDEST="" SPDESTROOT=%{buildroot}%{_prefix} install
cp -r android/libs %{buildroot}%{_datadir}/sp/spMpeg/input_mpeg/android/
cd ..

if [ -d bladeenc ]; then
    cd output_mpeg
    %{__make} MPEGTOP=%{buildroot}%{_prefix} TOP=%{_prefix} SPLIBDIRNAME=%{_lib} PLUGINDEST="" SPDESTROOT=%{buildroot}%{_prefix} install
    cd ..
fi
cd output_lame
%{__make} MPEGTOP=%{buildroot}%{_prefix} TOP=%{_prefix} SPLIBDIRNAME=%{_lib} PLUGINDEST="" SPDESTROOT=%{buildroot}%{_prefix} install
cp -r android/libs %{buildroot}%{_datadir}/sp/spMpeg/output_lame/android/
cd ..

cd ..

%{__mkdir_p} freeamp
cp spMpeg/xingmp3/README* freeamp
cp spMpeg/xingmp3/COPYING freeamp
cp spMpeg/xingmp3/AUTHORS freeamp

%{__mkdir_p} lame
cp lame-3.100/README lame
cp lame-3.100/LICENSE lame
cp lame-3.100/COPYING lame

if [ -d bladeenc-0.94.2 ]; then
    %{__mkdir_p} bladeenc
    cp bladeenc-0.94.2/README bladeenc
    cp bladeenc-0.94.2/AUTHORS bladeenc
    cp bladeenc-0.94.2/COPYING bladeenc
fi

%{__strip} --remove-section=.comment --remove-section=.note --strip-debug %{buildroot}%{_libdir}/lib*.a
if [ -f %{buildroot}%{_libdir}/libspmpeg.linux-glibc.a ]; then
    %{__ln_s} libspmpeg.linux-glibc.a %{buildroot}%{_libdir}/libspmpeg.linux.a
fi
if [ -f %{buildroot}%{_libdir}/libspmpege.linux-glibc.a ]; then
    %{__ln_s} libspmpege.linux-glibc.a %{buildroot}%{_libdir}/libspmpege.linux.a
fi
if [ -f %{buildroot}%{_libdir}/libspmpegel.linux-glibc.a ]; then
    %{__ln_s} libspmpegel.linux-glibc.a %{buildroot}%{_libdir}/libspmpegel.linux.a
fi
%{__strip} --remove-section=.comment --remove-section=.note --strip-debug %{buildroot}%{_libdir}/sp/plugins/*.so

%clean
%{__rm} -rf %{buildroot}

%pre
%post
%preun
%postun

%files 
%defattr(-,root,root)
%doc spMpeg/README* spMpeg/CHANGES* spMpeg/LICENSE*
%doc freeamp
%doc lame
%if %{bladeenc}
%doc bladeenc
%endif
%{_libdir}/*.a
%{_includedir}/sp/*.h

%files android
%defattr(-,root,root)
%dir %{_datadir}/sp/spMpeg
%{_datadir}/sp/spMpeg/android/

%files iplugin
%defattr(-,root,root)
%doc spMpeg/LICENSE*
%doc freeamp
%{_libdir}/sp/plugins/input_mpeg.so

%files iplugin-android
%defattr(-,root,root)
%dir %{_datadir}/sp/spMpeg/input_mpeg
%{_datadir}/sp/spMpeg/input_mpeg/android/libs/*/*.so

%files oplugin
%defattr(-,root,root)
%doc spMpeg/LICENSE* spMpeg/output_mpeg/README*
%doc lame
%if %{bladeenc}
%doc bladeenc
%endif
%{_libdir}/sp/plugins/output_*.so

%files oplugin-android
%defattr(-,root,root)
%dir %{_datadir}/sp/spMpeg/output_lame
%{_datadir}/sp/spMpeg/output_lame/android/libs/*/*.so
